Subject: Re: [PATCH] ls-tree: fix --no-full-name

From: Junio C Hamano <[email-masked]>
Date: Mon, 31 Jul 2023 08:31:07 -0700

René Scharfe <[email-masked]> writes:

> A bit more verbose still: Document the negative form on its own line
> with a generated description -- requires no new syntax:
>
>     -v, --invert-match         show non-matching lines
>     --no-invert-match          opposite of --invert-match, default
>     -I, --no-index             find in contents not managed by git
>     --index                    opposite of --no-index, default

I would expect _("opposite of %s, default") is acceptable by l10n
folks, and assuming it is, the above would be a good approach.

> All these imperfect solutions make me wish we could get rid of the
> problem, e.g. by converting all "no-" options to their positive variants
> and mentioning that they are the default.  Won't fly, though,
> because ...

True.

Thanks.